package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GoblinPosGoodsVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 9108226197069813814L;
    private String skuId;
    private String name;
    private BigDecimal price;
    private String spuId;
    private String spuName;

    private static final GoblinPosGoodsVo obj = new GoblinPosGoodsVo();

    public static GoblinPosGoodsVo getNew() {
        try {
            return (GoblinPosGoodsVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinPosGoodsVo();
        }
    }
}
